//
//  WebtehWebView.m
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Leftor d.o.o. All rights reserved.
//

#import "WebtehWebView.h"
#import "PgwApi.h"
#import "RedirectResolver.h"
#import "WebtehWebViewDelegate.h"

@interface WebtehWebView ()
    @property(nonatomic, strong) TransactionLifecycleAdapter *transactionAdapter;
    @property(nonatomic, strong) RedirectResolver *redirectResolver;
    @property(nonatomic, strong) WebtehWebViewDelegate *webtehWebViewDelegate;
    @property bool isDebug;
@end

@implementation WebtehWebView


-(void)initialize:(TransactionLifecycleAdapter *) transactionLifecycle
          isDebug:(bool) isDebug
          timeout:(long) timeout{
    self.transactionAdapter = transactionLifecycle;
    self.isDebug = isDebug;
    self.redirectResolver = [[RedirectResolver alloc] init:transactionLifecycle timeout:timeout];
    
    self.webtehWebViewDelegate = [[WebtehWebViewDelegate alloc] init:self.redirectResolver];
    
    self.delegate = _webtehWebViewDelegate;
}

-(void) addCard: (AddCardModel *) addCardModel{
    [self loadRequest:[PgwApi addCard:[addCardModel toInput]]];
}
-(void) payCvv: (PayCvvModel *) payCvvModel{
    [self loadRequest:[PgwApi payCvv:[payCvvModel toInput]]];
}


@end
